package com.s5gi.effect;

import com.s5gi.entity.LacessEntities;
import net.minecraft.entity.LivingEntity;
import net.minecraft.entity.effect.StatusEffect;
import net.minecraft.entity.effect.StatusEffectCategory;
import net.minecraft.entity.effect.StatusEffectInstance;
import net.minecraft.particle.ParticleEffect;
import net.minecraft.server.world.ServerWorld;

import java.util.Random;

public class Chorus_Effect extends StatusEffect {
    protected Chorus_Effect() {
        super(StatusEffectCategory.BENEFICIAL, 0xa903fc);
    }

    @Override
    public boolean canApplyUpdateEffect(int duration, int amplifier) {
        return true;
    }

    @Override
    public ParticleEffect createParticle(StatusEffectInstance effect) {
        return super.createParticle(effect);
    }

    private final Random random = new Random();


    @Override
    public boolean applyUpdateEffect(ServerWorld world, LivingEntity entity, int amplifier) {
        if (random.nextBoolean()) world.spawnParticles(LacessEntities.CHORUS_PARTICLE, entity.getX() , entity.getY()+1 , entity.getZ(), 1, 0.15, 1, 0.15, 0.06);


        return super.applyUpdateEffect(world, entity, amplifier);
    }

}
