package com.s5gi;

import com.s5gi.effect.LacessEffects;
import com.s5gi.entity.LacessEntities;
import com.s5gi.item.LacessItems;
import com.s5gi.networking.LacessNetworking;
import com.s5gi.sound.LacessSounds;
import net.fabricmc.api.ModInitializer;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class Lacess implements ModInitializer {

    public static final String MOD_ID = "lacess";

    public static final Logger LOGGER = LoggerFactory.getLogger(MOD_ID);

    @Override
    public void onInitialize() {
        LOGGER.info("Initializing Lacess");
        LacessSounds.init();
        LacessItems.init();
        LacessNetworking.init();
        LacessEntities.init();
        LacessEffects.init();
        LOGGER.info("Done!");

    }
}
